petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMComputeVariableBounds

compute variable bounds used by SNESVI.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMComputeVariableBounds(DM dm, Vec xl, Vec xu)

Logically Collective on DM

### Input Parameters

dm -the DM object

### Output parameters

| xl | - lower bound
| xu | - upper bound

### Notes

This is generally not called by users. It calls the function provided by the user with DMSetVariableBounds()

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages